## gnustep-back 0.22.0

=== debian/changelog ===
gnustep-back (0.22.0-1ubuntu1) raring; urgency=low

  * Merge from Debian experimental. Remaining change:
    - debian/rules (build-arch) Depend on debian/build-indep-stamp to build
      the docs files included in every package.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Nov 2012 22:57:37 +0100

gnustep-back (0.22.0-1) experimental; urgency=low

  * New major upstream release.
  * debian/rules (v_gui): Bump to 0.22, which depends on -base 1.24 which
    in turn does not lead to the automatic creation of $HOME/GNUstep
    (Closes: #663388).  Don't include /usr/share/quilt/quilt.make; remove
    patch/unpatch depedencies.  Enable hardening.
  * debian/control.m4 (Build-Depends): Remove quilt.  Add libxcursor-dev.
    (Depends, Suggests): Replace ttf-freefont with fonts-freefont-ttf.
    (Replaces, Breaks, Provides): Remove; no longer needed.
    (gnustep-back-dbg) <Recommends>: Set to libgnustep-gui0.22-dbg.
    (Standards-Version): Set to 3.9.3; no changes required.
  * debian/control: Regenerate.
  * debian/source/format: Switch to 3.0 (quilt) so that patches are always
    applied (Closes: #666334).
  * debian/README.source: Delete; redundant.
  * debian/gnustep-back-common.preinst: Remove defoma cleanup code.
  * debian/gnustep-back-common.prerm: Likewise.  Also delete unowned
    files/directories under /var.
  * debian/patches/cairo-fc.patch: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/format-security.patch: New, fixes FTBFS with
    -Werror=format-security; thanks Mathieu Trudel-Lapierre / Ubuntu.
  * debian/patches/series: Update.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 28 May 2012 14:56:36 +0300

gnustep-back (0.20.1-2ubuntu3) quantal; urgency=low

  * debian/rules (build-arch) Depend on debian/build-indep-stamp to build
    the docs files included in every package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Oct 2012 16:27:02 +0200

gnustep-back (0.20.1-2ubuntu2) quantal; urgency=low

  * Fix dependency on the patch target to fix build failure. Exposed by
    recent dpkg-dev changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Oct 2012 14:11:58 +0200

gnustep-back (0.20.1-2ubuntu1) precise; urgency=low

  * debian/patches/format-security.patch: fix -Werror=format-security -related
    build failure by properly passing a format string to syslog().

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 17 Nov 2011 17:42:30 -0500

gnustep-back (0.20.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 16 Sep 2011 10:55:29 +0300

gnustep-back (0.20.1-1) experimental; urgency=low

  * New upstream release.
  * debian/control.m4 (Vcs-Arch): Replace with...
    (Vcs-Git): ...as the package is maintained in Git now.
    (Vcs-Browser): New field.
    (Description): Avoid definite article to placate lintian.
    (Standards-Version): Bump to 3.9.2; no changes needed.
    (gnustep-back-dbg) <Recommends>: Set to libgnustep-gui0.20-dbg.
  * debian/control: Regenerate.
  * debian/rules (v_gui): Bump to 0.20.
    (CC, dummy, foo): Remove; not needed.
    (debian/configure-art-stamp, debian/configure-cairo-stamp): Create a
    symlink for `configure'.
  * debian/patches/debian-fonts.patch:
  * debian/patches/cairo-fc.patch: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 04 Jun 2011 12:19:20 +0300

gnustep-back (0.18.0-3) unstable; urgency=medium

  * debian/control.m4 (gnustep-back-common) <Depends>: Add ttf-freefont
    (Closes: #596059).
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 08 Sep 2010 18:35:17 +0300

gnustep-back (0.18.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control.m4 (gnustep-back-dbg) <Recommends>: Add
    libgnustep-gui0.18-dbg.
    (Conflicts): Replace with...
    (Breaks): ...as recommended by current Policy.
    (Standards-Version): Set to 3.9.1.
  * debian/control: Regenerate.
  * debian/watch: Track only stable releases.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 11 Aug 2010 18:47:23 +0300

gnustep-back (0.18.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control.m4 (Standards-Version): Set to 3.8.4 (no changes).
    (Depends): Remove ${shlibs:Depends}.  Add ${misc:Depends} for -dbg.
    (Description): Tweak to avoid lintian warning.
    (gnustep-back-doc): Remove and merge into -common.
    (gnustep-back-common) <Replaces, Conflicts, Provides>: Define to -doc.
  * debian/rules (v_gui): Bump to 0.18.0.
    (OPTFLAG): Replace with $(optim) for compatibility with
    gnustep-make/2.4.0.
    (p_doc, d_doc): Remove.
    (install-indep): Adjust rule to install the documentation into
    gnustep-back-common.
  * debian/gnustep-back-common.preinst: New; remove defoma stuff and new
    Fonts dir on upgrades.
  * debian/source/format: New file.
  * debian/copyright: Bump copyright years.  Add missing copyright notice
    for the fonts (Closes: #561809).

 -- Yavor Doganov <yavor@gnu.org>  Tue, 22 Jun 2010 18:46:58 +0300

gnustep-back (0.17.1-1) experimental; urgency=low

  [ Gürkan Sengün ]
  * New upstream version.
  * Bump standards version.

  [ Yavor Doganov ]
  * DejaVu is provided as a fallback font in [CairoFontEnumerator
    -default*FontName] methods (Closes: #527593).
  * debian/control.m4: Wrap all fields.
    (Section): Change to `gnustep'.
    (Uploaders): Add myself, remove Hubert upon his request.
    (Conflicts, Replaces): Remove; ancient.
    (Homepage, Vcs-Arch): New fields.
    (Build-Depends): Add quilt.
    (gnustep-back-common) <Depends>: Remove defoma, add fontconfig and
    mknfonts.tool (Closes: #542334).
  * debian/control: Regenerate.
  * debian/rules: Use $(MAKE) instead of gs_make to properly pass
    variables and options to sub-makes.  Use quilt for patch management;
    adjust rules accordingly.
    (LDFLAGS, OPTFLAG): Define.
    (install-art): Remove empty dirs.

