## gnustep-back 0.24.0

=== debian/changelog ===
gnustep-back (0.24.0-4) unstable; urgency=medium

  * debian/patches/cairo-scrolling.patch: New; fix scrolling with
    cairo/1.14.0 (Closes: #770141).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 19 Nov 2014 08:11:48 +0200

gnustep-back (0.24.0-3) unstable; urgency=medium

  * debian/gnustep-back-common.postinst: Ignore errors from mv which lead
    to failure when font directories do not contain spaces, thanks Thomas
    Zell (Closes: #764695).
  * debian/gnustep-back-common.prerm: Revert bogus change introduced in
    0.24.0-1 (finally closes: #663388).
  * debian/control.m4 (Standards-Version): Bump to 3.9.6; no changes
    needed.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 28 Oct 2014 11:17:15 +0200

gnustep-back (0.24.0-2) unstable; urgency=medium

  * Upload to unstable; should finally fix the piuparts issue once
    mknfonts.tool is binNMUed (Closes: #663388).
  * debian/compat: Bump to 9 to get .build-id debugging symbols.
  * debian/control.m4 (Build-Depends): Require debhlper >= 9.
    (Description): Mention that the art backend is deprecated.
    (Suggests): Remove fonts-freefont-ttf as -common depends on it.
  * debian/control: Regenerate.
  * debian/rules (confflags): Define conditionally and pass --host to
    configure only if cross-compiling.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 07 Jul 2014 16:00:20 +0300

gnustep-back (0.24.0-1) experimental; urgency=low

  * New major upstream release.
  * Ack NMU, thanks gregor herrmann.
  * debian/rules (build-arch, build-indep): Remove dependency on
    $(QUILT_STAMPFN).
    (v_gui): Bump to 0.24.
    (p_gpbs, d_gpbs): Remove.
    (install-art): Move gpbs to -common.
    (binary-arch): Install the manpage in -common.  Bump alternatives
    priority of cairo to make it the default.
    (install-indep): Do not create Developer symlink.
  * debian/patches/cairo-fc.patch: Delete, not needed anymore.
  * debian/patches/fontconfig-libs.patch: New, fixes FTBFS with
    -Wl,--no-undefined.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.
  * debian/control.m4 (gnustep-gpbs): Remove, it seems unnecessary kludge
    to have it as an extra package.
    (gnustep-back`'SOV_BACK) <Depends>: Replace art with cairo.
    (gnustep-back-common) <Architecture>: Set to "any".
    <Depends>: Add ${shlibs:Depends}.  Remove version requirement for
    mknfonts.tool.
    <Breaks, Replaces>: Add gnustep-gpbs.
    (gnustep-back-dbg) <Depends>: Replace gnustep-gpbs with
    gnustep-back-common.
    <Recommends>: Replace libgnustep-gui0.22-dbg with
    libgnustep-gui0.24-dbg.
    (Suggests): Replace ttf-dejavu with fonts-dejavu.
    (Vcs-Git): Use the canonical URI.
    (Standards-Version): Bump to 3.9.5 (no changes needed).
  * debian/control: Regenerate.
  * debian/gnustep-back-common.postinst: In case of failure, inform about
    /var/log/gnustep-back-common.log.
  * debian/gnustep-back-common.prerm: Delete gnustep-back-common.log only
    on purge.
  * debian/copyright: Update copyright years, add more copyright holders
    and licenses.  Clarify that gpbs's license is GPLv3+.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 28 May 2014 02:46:11 +0300

gnustep-back (0.20.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: build-arch problems with patch applying and installation
    of files generated only in build-indep target":
    - debian/rules: make build-arch and build-indep depend on quilt patch
      target, thanks Ralf Treinen
    - debian/rules: don't install documentation in binary-arch target, only
      built for binary-indep packages
    (Closes: #666334)

 -- gregor herrmann <gregoa@debian.org>  Thu, 15 Nov 2012 18:16:40 +0100
