=== debian/control ===
Source: gnustep-back
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
	   Yavor Doganov <yavor@gnu.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
	       m4,
	       libgnustep-gui-dev (>= 0.24),
	       libice-dev,
	       libxext-dev,
	       libxcursor-dev,
	       libxmu-dev,
	       libfreetype6-dev,
	       libxft-dev,
	       libfontconfig1-dev,
	       libgl1-mesa-dev,
	       libart-2.0-dev,
	       pkg-config,
	       libcairo2-dev,
	       texinfo
Homepage: http://gnustep.org
Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gnustep-back.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gnustep-back.git

Package: gnustep-back0.24
Section: libs
Architecture: all
Depends: gnustep-back0.24-cairo | gnustep-back0.24-alt,
	 ${misc:Depends},
	 ${gnustep:Depends}
Suggests: fonts-dejavu | gsfonts-x11
Description: GNUstep GUI Backend
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This is an empty package that depends on the various backends.

Package: gnustep-back0.24-art
Section: libs
Architecture: any
Depends: gnustep-back-common (>= 0.24),
	 ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Provides: gnustep-back0.24-alt
Description: GNUstep GUI Backend (art)
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package provides the deprecated libart backend.

Package: gnustep-back0.24-cairo
Section: libs
Architecture: any
Depends: gnustep-back-common (>= 0.24),
	 ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Provides: gnustep-back0.24-alt
Description: GNUstep GUI Backend (cairo)
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package provides the cairo backend.

Package: gnustep-back-common
Architecture: any
Depends: fontconfig,
	 mknfonts.tool,
	 fonts-freefont-ttf,
	 ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Breaks: gnustep-gpbs
Replaces: gnustep-gpbs
Description: GNUstep GUI Backend - common files
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package contains the common files needed by the GNUstep GUI Backend.

Package: gnustep-back-dbg
Section: debug
Priority: extra
Architecture: any
Depends: gnustep-back-common (= ${binary:Version}),
	 gnustep-back0.24-art (= ${binary:Version}) | gnustep-back0.24-cairo (= ${binary:Version}),
	 ${misc:Depends},
	 ${gnustep:Depends}
Recommends: libgnustep-gui0.24-dbg
Description: GNUstep GUI Backend - debugging symbols
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package contains the debugging symbols for the GNUstep GUI Backend.
