=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ##################### VERSION NUMBERS ###########################
 
 # GNUstep Gui version :
-v_gui	:= 0.22
+v_gui	:= 0.24
 
 # GNUstep Back version :
 sov_back := $(shell . ./Version; echo $$GNUSTEP_BACK_MAJOR_VERSION.$$GNUSTEP_BACK_MINOR_VERSION)
@@ -16,25 +16,23 @@
 
 #################################################################
 
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-#DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+confflags := --build $(DEB_BUILD_GNU_TYPE)
+else
+confflags := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+endif
 
 # package names
 p_back		= gnustep-back$(sov_back)
 p_art		= gnustep-back$(sov_back)-art
 p_cairo		= gnustep-back$(sov_back)-cairo
 p_common	= gnustep-back-common
-p_gpbs		= gnustep-gpbs
 
 # package temp dirs
 d_back		= $(CURDIR)/debian/$(p_back)
 d_art		= $(CURDIR)/debian/$(p_art)
 d_cairo		= $(CURDIR)/debian/$(p_cairo)
 d_common	= $(CURDIR)/debian/$(p_common)
-d_gpbs		= $(CURDIR)/debian/$(p_gpbs)
 
 # build dirs
 b_art		= build-art
@@ -73,9 +71,7 @@
 	@: # dummy configure, to make back.make, etc., for building docs
 	dh_testdir
 	./configure \
-	  --build=$(DEB_BUILD_GNU_TYPE) \
-	  --host=$(DEB_HOST_GNU_TYPE) \
-	  --target=$(DEB_HOST_GNU_TYPE) \
+	  $(confflags) \
 	  --with-x \
 	  --enable-graphics=art
 
@@ -90,9 +86,7 @@
 	cd $(b_art) && ln -s ../GNUmakefile* .
 	cd $(b_art) && ../configure CPPFLAGS="$(CPPFLAGS)" \
 	  CFLAGS="$(CFLAGS)" OBJCFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	  --build=$(DEB_BUILD_GNU_TYPE) \
-	  --host=$(DEB_HOST_GNU_TYPE) \
-	  --target=$(DEB_HOST_GNU_TYPE) \
+	  $(confflags) \
 	  --with-x \
 	  --enable-graphics=art \
 	  --with-name=art
@@ -106,9 +100,7 @@
 	ln -s ../Headers ../Version ../configure $(b_cairo)
 	cd $(b_cairo) && ../configure CPPFLAGS="$(CPPFLAGS)" \
 	  CFLAGS="$(CFLAGS)" OBJCFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	  --build=$(DEB_BUILD_GNU_TYPE) \
-	  --host=$(DEB_HOST_GNU_TYPE) \
-	  --target=$(DEB_HOST_GNU_TYPE) \
+	  $(confflags) \
 	  --with-x \
 	  --enable-graphics=cairo \
 	  --with-name=cairo
@@ -124,7 +116,7 @@
 
 	touch $@
 
-build-arch: debian/build-art-stamp debian/build-cairo-stamp debian/build-indep-stamp
+build-arch: debian/build-art-stamp debian/build-cairo-stamp
 clean_files += debian/build-art-stamp debian/build-cairo-stamp
 debian/build-art-stamp: debian/configure-art-stamp
 	dh_testdir
@@ -145,9 +137,6 @@
 install-indep: build-indep
 	$(MAKE) -C Documentation install DESTDIR=$(d_common)
 
-	dh_link -p$(p_common) \
-	  $(GNUSTEP_SYSTEM_DOC)/Developer usr/share/doc/$(p_common)/Developer
-
 install-arch: build-arch pre-install install-art install-cairo
 
 pre-install:
@@ -160,14 +149,14 @@
 
 	cd $(b_art) && $(MAKE) install fonts=no DESTDIR=$(d_art)
 
-	: # Allow it to be used as a default backend
+# Allow it to be used as a default backend.
 	dh_link -p$(p_art) \
 	  $(GNUSTEP_SYSTEM_LIBRARY)/Bundles/libgnustep-art-$(ifv_back).bundle/libgnustep-art-$(ifv_back) \
 	  $(GNUSTEP_SYSTEM_LIBRARY)/Bundles/libgnustep-art-$(ifv_back).bundle/libgnustep-back-$(ifv_back)
 
-	: # Move gpbs to gpbs package
-	dh_installdirs -p$(p_gpbs) $(GNUSTEP_SYSTEM_TOOLS)
-	mv $(d_art)/$(GNUSTEP_SYSTEM_TOOLS)/gpbs $(d_gpbs)/$(GNUSTEP_SYSTEM_TOOLS)
+# Move gpbs to the -common package.
+	dh_installdirs -p$(p_common) $(GNUSTEP_SYSTEM_TOOLS)
+	mv $(d_art)/$(GNUSTEP_SYSTEM_TOOLS)/gpbs $(d_common)/$(GNUSTEP_SYSTEM_TOOLS)
 	rm -rf $(d_art)/$(GNUSTEP_SYSTEM_DOC_MAN) $(d_art)/usr/bin
 
 install-cairo: debian/build-cairo-stamp
@@ -203,9 +192,9 @@
 	dh_testdir -a
 	dh_testroot -a
 	dh_installchangelogs -a ChangeLog
-	dh_installdocs -a Documentation/{ANNOUNCE,NEWS,README}
+	dh_installdocs -a
 	gsdh_gnustep -a
-	dh_installman -p$(p_gpbs) Tools/gpbs.1
+	dh_installman -p$(p_common) Tools/gpbs.1
 	dh_link -a
 	dh_strip -a --dbg-package=gnustep-back-dbg
 
@@ -224,13 +213,13 @@
 	sed -e 's:@GNUSTEP_LIBRARY@:$(GNUSTEP_SYSTEM_LIBRARY):g' \
 	    -e 's:@IFVER@:$(ifv_back):g' \
 	    -e 's:@BACKEND@:cairo:g' \
-	    -e 's:@PRIORITY@:5:g' \
+	    -e 's:@PRIORITY@:15:g' \
 	    debian/gnustep-back.postinst.in > debian/gnustep-back$(sov_back)-cairo.postinst
 
 	sed -e 's:@GNUSTEP_LIBRARY@:$(GNUSTEP_SYSTEM_LIBRARY):g' \
 	    -e 's:@IFVER@:$(ifv_back):g' \
 	    -e 's:@BACKEND@:cairo:g' \
-	    -e 's:@PRIORITY@:5:g' \
+	    -e 's:@PRIORITY@:15:g' \
 	    debian/gnustep-back.prerm.in > debian/gnustep-back$(sov_back)-cairo.prerm
 
 	dh_compress -a
@@ -238,7 +227,7 @@
 	dh_makeshlibs -a -V
 	dh_installdeb -a
 
-	@: # override shlibs deps for gnustep-gui to avoid circular dependencies
+# Override shlibs deps for gnustep-gui to avoid circular dependencies.
 	echo "libgnustep-gui $(sov_back) libgnustep-gui$(sov_back) (>= $(v_gui)), gnustep-gui-runtime (>= $(v_gui))" > debian/shlibs.local
 	dh_shlibdeps -a \
 		-l$(d_back)/$(GNUSTEP_SYSTEM_LIBRARIES)
@@ -253,3 +242,27 @@
 clean_files += debian/control.tmp
 test-control:
 	m4 \
+	    -DV_MAKE='$(v_make)' \
+	    -DV_BASE='$(v_base)' \
+	    -DV_GUI='$(v_gui)' \
+	    -DSOV_BACK='$(sov_back)' \
+	    -DWITH_DEBUG \
+		debian/control.m4 > debian/control.tmp
+	diff debian/control debian/control.tmp
+
+clean: test-control
+	dh_testdir
+	dh_testroot
+
+#       if config.make does not exist, then we assume that we don't need to
+#       make clean
+	if [ -e config.make ]; then \
+	  $(MAKE) -C Documentation clean; \
+	  $(MAKE) -C Documentation distclean; \
+	fi
+
+	rm -f Documentation/version.texi
+	rm -rf Source/*.bundle
+	-find -name obj | xargs rm -f
+	rm -f gnustep-xlib gnustep-back
+	rm -f Tools/xdnd.c Tools/XGCommonFont.m
