=== debian/watch ===
version=3
opts=pasv \
ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-([\d\.]+[02468]\.\d)\.tar\.gz
