## gnustep-back 0.25.0

=== debian/changelog ===
gnustep-back (0.25.0-2build2) bionic; urgency=medium

  * No-change rebuild for gnustep-base soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:25:52 +0000

gnustep-back (0.25.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Thanks to Iain R. Learmonth, use cme and licensecheck tools:
    + Update debian/templates/control.m4 file
      and regenerate debian/control file
    + Update debian-fonts patch
    + Provide a new debian/copyright-scan-patterns.yml file
    + Provide a new debian/fill.copyright.blanks.yml file
    + Provide a new debian/fix.scanned.copyright file
    + Update debian/copyright file

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Sun, 10 Jul 2016 01:42:04 +0200

gnustep-back (0.25.0-1) experimental; urgency=medium

  * Team upload.
  * New Upstream version 0.25.0
    + Remove autoreconf patch, now useless
    + Remove cairo-scrolling patch, now useless
    + Remove fontconfig-libs patch, now useless
    + Remove format-security patch, now useless
    + Update debian-fonts patch
  * New tools patch
  * Update debian/control.m4 and move it to debian/templates/ directory
    + In agreement with the Debian GNUstep maintainers, add myself as Uploader
    + Bump Standards-Version to 3.9.8
    + Update Vcs-* fields
    + Remove useless {gnustep:Depends} variable
    + Tighten dependencies
    + Regenerate debian/control file
  * Update debian/gnustep-back.postinst.in and
     move it to debian/templates/gnustep-backN-backend.postinst.in
  * Update debian/gnustep-back.prerm.in and
    move it to debian/templates/gnustep-backN-backend.prerm.in
  * Update debian/gnustep-back-common.postinst script and
    move it to debian/templates/gnustep-back-common.postinst.in
  * Update debian/gnustep-back-common.preinst script and 
    move it to debian/templates/gnustep-back-common.preinst.in
  * Update debian/gnustep-back-common.prerm script and
    move it to debian/templates/gnustep-back-common.prerm.in
  * Provide a new debian/templates/gnustep-backN.docs.in doc
  * Provide a new debian/gnustep-back-common.manpages file
  * Provide a new debian/templates/gnustep-backN-backend.install.in file
  * Provide a new debian/templates/gnustep-backN-backend.links.in file
  * Provide a new debian/templates/gnustep-back-common.install.in file
  * Update debian/watch file to version 4 and
    provide a new debian/upstream/signing-key.asc file
  * Provide a new debian/clean file
  * Rewrite debian/copyright file
  * Rewrite debian/rules file for easier maintenance
    + use override_dh_* targets
    + enable hardening

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Tue, 05 Jul 2016 18:05:12 +0200
