=== debian/control ===
--- 
+++ 
@@ -1,35 +1,35 @@
 Source: gnustep-back
+Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
+Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
+           Gürkan Sengün <gurkan@phys.ethz.ch>,
+           Yavor Doganov <yavor@gnu.org>
 Section: gnustep
 Priority: optional
-Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
-Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
-	   Yavor Doganov <yavor@gnu.org>
-Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
-	       m4,
-	       libgnustep-gui-dev (>= 0.24),
-	       libice-dev,
-	       libxext-dev,
-	       libxcursor-dev,
-	       libxmu-dev,
-	       libfreetype6-dev,
-	       libxft-dev,
-	       libfontconfig1-dev,
-	       libgl1-mesa-dev,
-	       libart-2.0-dev,
-	       pkg-config,
-	       libcairo2-dev,
-	       texinfo
+               m4,
+               libgnustep-gui-dev (>= 0.25.0),
+               libice-dev,
+               libxext-dev,
+               libxcursor-dev, 
+               libxmu-dev,
+               libfreetype6-dev,
+               libxft-dev,
+               libfontconfig1-dev,
+               libgl1-mesa-dev,
+               libart-2.0-dev,
+               pkg-config,
+               libcairo2-dev,
+               texinfo
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnustep/gnustep-back.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnustep/gnustep-back.git
 Homepage: http://gnustep.org
-Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gnustep-back.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gnustep-back.git
 
-Package: gnustep-back0.24
+Package: gnustep-back0.25
+Architecture: all
 Section: libs
-Architecture: all
-Depends: gnustep-back0.24-cairo | gnustep-back0.24-alt,
-	 ${misc:Depends},
-	 ${gnustep:Depends}
+Depends: gnustep-back0.25-cairo | gnustep-back0.25-alt,
+	 ${misc:Depends}
 Suggests: fonts-dejavu | gsfonts-x11
 Description: GNUstep GUI Backend
  It is a backend component for the GNUstep GUI Library.
@@ -41,14 +41,13 @@
  .
  This is an empty package that depends on the various backends.
 
-Package: gnustep-back0.24-art
+Package: gnustep-back0.25-art
+Architecture: any
 Section: libs
-Architecture: any
-Depends: gnustep-back-common (>= 0.24),
+Depends: gnustep-back-common (= ${binary:Version}),
 	 ${shlibs:Depends},
-	 ${misc:Depends},
-	 ${gnustep:Depends}
-Provides: gnustep-back0.24-alt
+	 ${misc:Depends}
+Provides: gnustep-back0.25-alt
 Description: GNUstep GUI Backend (art)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
@@ -59,14 +58,13 @@
  .
  This package provides the deprecated libart backend.
 
-Package: gnustep-back0.24-cairo
+Package: gnustep-back0.25-cairo
+Architecture: any
 Section: libs
-Architecture: any
-Depends: gnustep-back-common (>= 0.24),
+Depends: gnustep-back-common (= ${binary:Version}),
 	 ${shlibs:Depends},
-	 ${misc:Depends},
-	 ${gnustep:Depends}
-Provides: gnustep-back0.24-alt
+	 ${misc:Depends}
+Provides: gnustep-back0.25-alt
 Description: GNUstep GUI Backend (cairo)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
@@ -83,8 +81,7 @@
 	 mknfonts.tool,
 	 fonts-freefont-ttf,
 	 ${shlibs:Depends},
-	 ${misc:Depends},
-	 ${gnustep:Depends}
+	 ${misc:Depends}
 Breaks: gnustep-gpbs
 Replaces: gnustep-gpbs
 Description: GNUstep GUI Backend - common files
@@ -98,14 +95,13 @@
  This package contains the common files needed by the GNUstep GUI Backend.
 
 Package: gnustep-back-dbg
+Architecture: any
 Section: debug
 Priority: extra
-Architecture: any
 Depends: gnustep-back-common (= ${binary:Version}),
-	 gnustep-back0.24-art (= ${binary:Version}) | gnustep-back0.24-cairo (= ${binary:Version}),
-	 ${misc:Depends},
-	 ${gnustep:Depends}
-Recommends: libgnustep-gui0.24-dbg
+	 gnustep-back0.25-art (= ${binary:Version}) | gnustep-back0.25-cairo (= ${binary:Version}),
+	 ${misc:Depends}
+Recommends: libgnustep-gui0.25-dbg
 Description: GNUstep GUI Backend - debugging symbols
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
